%define upstream_name    B-Hooks-Parser
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface to perls parser variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::EndOfScope)
BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(parent)
BuildRequires: perl-devel

%description
This module provides an API for parts of the perl parser. It can be used to
modify code while it's being parsed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1022704
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 956802
- Mageia 6 Mass Rebuild

* Tue Jul 28 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 858553
- update to 0.16

* Fri Jun 26 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 844095
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 747378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 683589
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.120.0-3.mga5
+ Revision: 632149
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 525252
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.120.0-1.mga4
+ Revision: 432702
- adjust file list
- new release
- rebuild for new perl

  + jquelin <jquelin>
    - perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 363322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 05 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 302904
- imported package perl-B-Hooks-Parser


* Fri Oct 05 2012 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
